Package com.smartgwt.client.types

# Enum ScanMode

java.lang.Object
java.lang.Enum<ScanMode>
com.smartgwt.client.types.ScanMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<ScanMode>`, `Constable`

public enum ScanMode extends Enum<ScanMode> implements ValueEnum
When discovering a tree, the scanMode determines how to scan for the childrenProperty "node": take each node individually "branch": scan direct siblings as a group, looking for best fit "level": scan entire tree levels as a group, looking for best fit

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BRANCH`
  scan direct siblings as a group, looking for best fit
  `LEVEL`
  scan entire tree levels as a group, looking for best fit
  `NODE`
  take each node individually

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static ScanMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ScanMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NODE

    public static final ScanMode NODE
    take each node individually

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "node".

  - ### BRANCH

    public static final ScanMode BRANCH
    scan direct siblings as a group, looking for best fit

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "branch".

  - ### LEVEL

    public static final ScanMode LEVEL
    scan entire tree levels as a group, looking for best fit

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "level".

- ## Method Details

  - ### values

    public static ScanMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ScanMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`